# Uses of Interface
org.benf.cfr.reader.api.OutputSinkFactory.Sink

- ## Uses of OutputSinkFactory.Sink in org.benf.cfr.reader.api

  Methods in org.benf.cfr.reader.api that return OutputSinkFactory.Sink
  Modifier and Type
  Method
  Description
  `<T> OutputSinkFactory.Sink<T>`
  OutputSinkFactory.`getSink(OutputSinkFactory.SinkType sinkType, OutputSinkFactory.SinkClass sinkClass)`
  CFR wishes to sink output - return an implementation of Sink that takes the appropriate input for the SinkClass being sunk, or null.